Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.monte.screenrecorder
Enum ScreenRecorder.State

    java.lang.Object
      java.lang.Enum<ScreenRecorder.State>
          org.monte.screenrecorder.ScreenRecorder.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScreenRecorder.State>

Enclosing class:
  ScreenRecorder

    public static enum ScreenRecorder.State

extends java.lang.Enum<ScreenRecorder.State>

Enum Constant Summary
`DONE`
`FAILED`
`RECORDING`

Method Summary
`static ScreenRecorder.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScreenRecorder.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DONE

    public static final ScreenRecorder.State DONE

### FAILED

    public static final ScreenRecorder.State FAILED

### RECORDING

    public static final ScreenRecorder.State RECORDING

Method Detail

### values

    public static ScreenRecorder.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScreenRecorder.State c : ScreenRecorder.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScreenRecorder.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD